(* ----------------------------------------------------------------------
   $Id: GraphicalUI.i3,v 1.7 1995/06/24 21:57:11 sgp13 Exp $

   Interface supplying the graphical user interface.

   ----------------------------------------------------------------------

   $Log: GraphicalUI.i3,v $
# Revision 1.7  1995/06/24  21:57:11  sgp13
# Memory split into fields so that current field pointers may be used to speed
# access
#
# Revision 1.6  1995/06/23  07:53:20  sgp13
# Update forced
#
# Revision 1.5  1995/06/20  10:10:18  sgp13
# Update forced
#
# Revision 1.4  1995/06/19  14:14:25  sgp13
# Typescript added for teletype I/O.
#
# Revision 1.3  1995/03/30  10:19:14  sgp13
# Update forced
#
# Revision 1.2  1995/03/23  12:11:07  sgp13
# Code added to initialise the state of the filename display.
#
# Revision 1.1  1995/03/22  13:08:25  sgp13
# Initial revision
#

   ---------------------------------------------------------------------- *)
INTERFACE GraphicalUI;

IMPORT FormsVBT;
IMPORT Buffer;
IMPORT GeneralUI;


EXCEPTION InitFailed;

TYPE
  T = GeneralUI.T OBJECT
    form : FormsVBT.T;
    buffer : Buffer.T;
  METHODS
    init(readerFileName : TEXT; punchFileName : TEXT; buffer : Buffer.T) : T
          RAISES { InitFailed } := ObjectInit;
  OVERRIDES
    apply := DoGraphicalUI;
  END;

PROCEDURE DoGraphicalUI(self : T) : REFANY RAISES {};
PROCEDURE ObjectInit(self: T; readerFileName: TEXT; punchFileName: TEXT;
                     buffer: Buffer.T) : T RAISES { InitFailed };

(* filters out characters which cannot be represented on a typescript *)
PROCEDURE WrFilter(c : CHAR) : CHAR;

END GraphicalUI.












