(* ----------------------------------------------------------------------
   $Id: KeyboardUI.i3,v 1.13 1995/06/24 21:56:38 sgp13 Exp $

   Interface supplying the keyboard user interface services. The procedure is
   to read characters from the keyboard and match up against the allowed
   commands list. If a command is found then call the appropriate procedure.
   The procedures specific to the keyboard user interface are also defined
   in this module.
   ----------------------------------------------------------------------

   $Log: KeyboardUI.i3,v $
# Revision 1.13  1995/06/24  21:56:38  sgp13
# Memory split into fields so that current field pointers may be used to speed
# access
#
# Revision 1.12  1995/06/23  07:55:01  sgp13
# Update forced
#
# Revision 1.11  1995/06/20  10:15:39  sgp13
# Update forced
#
# Revision 1.10  1995/03/22  13:19:14  sgp13
# Update forced
#
# Revision 1.9  1995/03/15  21:03:08  sgp13
# Update forced
#
# Revision 1.8  1995/03/15  14:56:54  sgp13
# Update forced
#
# Revision 1.7  1995/03/15  14:54:21  sgp13
# Update forced
#
# Revision 1.6  1995/03/07  23:23:52  sgp13
# Update forced
#
# Revision 1.5  1995/02/24  22:24:34  sgp13
# The data object is now a Processor object containing CPU and Bus
#
# Revision 1.4  1995/02/01  13:30:18  sgp13
# Update forced
#
# Revision 1.3  1995/01/23  12:57:18  sgp13
# Enabling interrupts on startup moved to CPU
#
# Revision 1.2  1995/01/20  13:11:06  sgp13
# Dummy to keep up with KeyboardUI.m3
#
# Revision 1.1  1995/01/19  09:26:29  sgp13
# Initial revision
#

   ---------------------------------------------------------------------- *)
INTERFACE KeyboardUI;

IMPORT Rd;
IMPORT WhiteSpaceFilter;
IMPORT GeneralUI;


TYPE
  T = GeneralUI.T OBJECT
    input : WhiteSpaceFilter.T;
  METHODS
    init(input : Rd.T) : T := ObjectInit;
  OVERRIDES
    apply := DoKeyboardUI;
  END;

PROCEDURE DoKeyboardUI(self : T) : REFANY RAISES {};
PROCEDURE ObjectInit(self : T; input : Rd.T) : T;

END KeyboardUI.


