(* ----------------------------------------------------------------------
   $Id: Processor.i3,v 1.11 1995/06/24 21:57:45 sgp13 Exp $

   The interface for the central processor thread.
   The information objects are the CPU and Bus types.

   This interface used to be called the CPU interface, but that got confusing
   with a CPUdata object as well. To refer to previous versions not
   not recorded in the RCS file, see the CPUCycle directory.
   ----------------------------------------------------------------------

   $Log: Processor.i3,v $
# Revision 1.11  1995/06/24  21:57:45  sgp13
# Memory split into fields so that current field pointers may be used to speed
# access
#
# Revision 1.10  1995/06/23  14:12:42  sgp13
# Update forced
#
# Revision 1.9  1995/06/23  07:56:24  sgp13
# Update forced
#
# Revision 1.8  1995/06/22  14:05:29  sgp13
# Memory made direct access
#
# Revision 1.6  1995/06/20  10:16:50  sgp13
# Update forced
#
# Revision 1.5  1995/03/22  13:20:44  sgp13
# T.userInterface: type changed to UIType to allow user to specify
# UIType added
#
# Revision 1.4  1995/03/15  21:02:13  sgp13
# Automatic execution implemented
#
# Revision 1.3  1995/03/15  13:09:09  sgp13
# Update forced
#
# Revision 1.2  1995/03/14  12:27:04  sgp13
# Update forced.
#
# Revision 1.1  1995/02/24  22:32:26  sgp13
# Initial revision
#

   ---------------------------------------------------------------------- *)
INTERFACE Processor;

IMPORT Rd, Thread;
IMPORT CPU, Memory;
IMPORT Bus;


TYPE
  UIType = { None, Graphical, Keyboard };

  T = Thread.Closure OBJECT
    cpu : CPU.T;
    bus : Bus.T;
    instructionLimit := LAST(CARDINAL); (* max instructions to execute *)
    autoExec := FALSE;                  (* execute automatically or not *)
    userInterface := UIType.Keyboard;   (* specifies type of UI *)
  METHODS
    init(memoryfile : Rd.T := NIL) : T
        RAISES { Memory.Failure, Thread.Alerted } := ObjectInit;
  OVERRIDES
    apply := DoProcessor;
  END;

PROCEDURE DoProcessor(self : T) : REFANY RAISES {};
PROCEDURE ObjectInit(self : T; memoryfile : Rd.T := NIL) : T
    RAISES { Memory.Failure, Thread.Alerted };

END Processor.
    


