(* -------------------------------------------------------------------------
   $Id: SimpleInstruction.i3,v 1.10 1995/06/24 21:58:20 sgp13 Exp $

   Interface for the memory reference instructions
   -------------------------------------------------------------------------

   $Log: SimpleInstruction.i3,v $
# Revision 1.10  1995/06/24  21:58:20  sgp13
# Memory split into fields so that current field pointers may be used to speed
# access
#
# Revision 1.9  1995/06/23  14:13:29  sgp13
# CPU.Quit not raised
#
# Revision 1.8  1995/06/23  07:57:35  sgp13
# Update forced
#
# Revision 1.7  1995/06/22  14:06:33  sgp13
# Update forced
#
# Revision 1.6  1995/06/20  10:18:02  sgp13
# Update forced
#
# Revision 1.5  1995/03/22  13:22:08  sgp13
# Update forced
#
# Revision 1.4  1995/03/15  14:55:40  sgp13
# Update forced
#
# Revision 1.3  1995/03/14  12:31:01  sgp13
# Update forced.
#
# Revision 1.2  1995/02/24  22:30:44  sgp13
# CPUdata renamed CPU
#
# Revision 1.1  1995/01/23  13:11:28  sgp13
# Initial revision
#

   ------------------------------------------------------------------------- *)
INTERFACE SimpleInstruction;

IMPORT Memory;
IMPORT CPU;

TYPE
  T = PROCEDURE(self : CPU.T; opaddress : Memory.Address;
                opfield : REF Memory.Field);
VAR
  table := ARRAY [0..5] OF T { DoAND, DoTAD, DoISZ, DoDCA, DoJMS, DoJMP };


PROCEDURE DoAND(self : CPU.T; opaddress : Memory.Address;
                opfield : REF Memory.Field);
PROCEDURE DoTAD(self : CPU.T; opaddress : Memory.Address;
	        opfield : REF Memory.Field);
PROCEDURE DoISZ(self : CPU.T; opaddress : Memory.Address;
                opfield : REF Memory.Field);
PROCEDURE DoDCA(self : CPU.T; opaddress : Memory.Address;
                opfield : REF Memory.Field);
PROCEDURE DoJMS(self : CPU.T; opaddress : Memory.Address;
                opfield : REF Memory.Field);
PROCEDURE DoJMP(self : CPU.T; opaddress : Memory.Address;
                opfield : REF Memory.Field);

END SimpleInstruction.



