(* ----------------------------------------------------------------------
   $Id: Device.i3,v 1.4 1995/03/14 12:17:01 sgp13 Exp $

   Device.T is the ancestor type for all devices on the bus, which specifies
   the services which they must offer. This interface also provides default
   methods, and the exceptions required for unimplemented devices/commands
   ----------------------------------------------------------------------

   $Log: Device.i3,v $
# Revision 1.4  1995/03/14  12:17:01  sgp13
# Update forced.
#
# Revision 1.3  1995/03/07  23:08:03  sgp13
# Raises set of command method fixed again.
#
# Revision 1.2  1995/02/24  22:15:54  sgp13
# Raises set of command method corrected
#
# Revision 1.1  1995/02/21  09:38:34  sgp13
# Initial revision
#

   ---------------------------------------------------------------------- *)
INTERFACE Device;

IMPORT Thread;
IMPORT CPU;

EXCEPTION CommandUnimplemented;
EXCEPTION DeviceUnimplemented;

TYPE
  T = OBJECT
  METHODS
    init() : T := DefaultInit;
    command(cpu : CPU.T; devselB : CPU.OpCode; command : CPU.OpCode)
        RAISES { Thread.Alerted, DeviceUnimplemented, CommandUnimplemented }
               := DefaultCommand; 
    reset() := DefaultReset;
  END;

PROCEDURE DefaultCommand(self : T; cpu : CPU.T; devselB : CPU.OpCode;
                     command : CPU.OpCode ) RAISES { DeviceUnimplemented };
PROCEDURE DefaultInit(self : T) : T;
PROCEDURE DefaultReset(self : T);

END Device.









