(* ----------------------------------------------------------------------
   $Id: Device.m3,v 1.4 1995/03/14 12:16:25 sgp13 Exp $

   This module provides the default methods for the Device.T object
   ----------------------------------------------------------------------

   $Log: Device.m3,v $
# Revision 1.4  1995/03/14  12:16:25  sgp13
# Parameter to DefaultReset flagged unused
#
# Revision 1.3  1995/03/07  23:14:47  sgp13
# Parameters to DefaultCommand flagged unused.
#
# Revision 1.2  1995/02/24  22:16:37  sgp13
# Exception raised by DefaultCommand corrected
#
# Revision 1.1  1995/02/21  09:38:34  sgp13
# Initial revision
#

   ---------------------------------------------------------------------- *)
MODULE Device;

IMPORT CPU;

(* ----------------------------------------------------------------------
   Procedure : DefaultCommand

   Raise the 'command not implemented' exception. This is caught and
   dealt with by the bus.
   ---------------------------------------------------------------------- *)
PROCEDURE DefaultCommand(<* UNUSED *> self : T;
                         <* UNUSED *> cpu : CPU.T;
                         <* UNUSED *> devselB : CPU.OpCode;
                         <* UNUSED *> command : CPU.OpCode )
    RAISES { DeviceUnimplemented } =
  BEGIN
    RAISE DeviceUnimplemented;
  END DefaultCommand;


(* ----------------------------------------------------------------------
   Procedure : DefaultInit

   Default initialisation (do nothing)
   ---------------------------------------------------------------------- *)
PROCEDURE DefaultInit(self : T) : T =
  BEGIN
    RETURN self;
  END DefaultInit;


(* ----------------------------------------------------------------------
   Procedure : DefaultReset

   Default reset (do nothing)
   ---------------------------------------------------------------------- *)
PROCEDURE DefaultReset(<* UNUSED *> self : T) =
  BEGIN
  END DefaultReset;


BEGIN
END Device.

