(* ----------------------------------------------------------------------
   $Id: ExtdMem.i3,v 1.5 1995/06/24 21:54:27 sgp13 Exp $

   This interface provides the extended memory instructions (62xx)
   At this stage the time share option is not included.
   ----------------------------------------------------------------------

   $Log: ExtdMem.i3,v $
# Revision 1.5  1995/06/24  21:54:27  sgp13
# Memory split into fields so that current field pointers may be used to speed
# access
#
# Revision 1.4  1995/06/23  07:46:39  sgp13
# Update forced
#
# Revision 1.3  1995/06/20  10:05:27  sgp13
# Update forced
#
# Revision 1.2  1995/03/15  13:12:13  sgp13
# Update forced.
#
# Revision 1.1  1995/02/24  22:16:50  sgp13
# Initial revision
#

   ---------------------------------------------------------------------- *)
INTERFACE ExtdMem;

IMPORT CPU;
IMPORT Device;


TYPE
  T = Device.T OBJECT
  OVERRIDES
    command := Command;
    init := Init;
    reset := Reset;
  END;

PROCEDURE Command(self : T; cpu : CPU.T; devselB : CPU.OpCode;
                  command : CPU.OpCode )
    RAISES { Device.CommandUnimplemented };
PROCEDURE Reset(self : T);
PROCEDURE Init(self : T) : Device.T;


END ExtdMem.
