(* ----------------------------------------------------------------------
   $Id: Interrupts.i3,v 1.6 1995/06/24 21:54:44 sgp13 Exp $

   Interface providing the services for the interrupts 'device'.
   This is responsible for the IOT instructions 6000-6007
   ----------------------------------------------------------------------

   $Log: Interrupts.i3,v $
# Revision 1.6  1995/06/24  21:54:44  sgp13
# Memory split into fields so that current field pointers may be used to speed
# access
#
# Revision 1.5  1995/06/23  07:49:03  sgp13
# Update forced
#
# Revision 1.4  1995/06/20  10:06:14  sgp13
# Update forced
#
# Revision 1.3  1995/03/15  13:10:43  sgp13
# Update forced.
#
# Revision 1.2  1995/03/14  12:17:49  sgp13
# Update forced.
#
# Revision 1.1  1995/02/24  22:17:17  sgp13
# Initial revision
#

   ---------------------------------------------------------------------- *)
INTERFACE Interrupts;

IMPORT CPU;
IMPORT Device;


TYPE
  (* the interrupts type is a descendant of Device.T to enforce the use *)
  (* of the methods recognised by the bus *)
  T = Device.T OBJECT
  OVERRIDES
    command := Command;
    init := Init;
    reset := Reset;
  END;

PROCEDURE Command(self : T; cpu : CPU.T; devselB : CPU.OpCode;
                  command : CPU.OpCode )
    RAISES { Device.CommandUnimplemented };
PROCEDURE Reset(self : T);
PROCEDURE Init(self : T) : Device.T;

END Interrupts.


