(* ----------------------------------------------------------------------
   $Id: Tape.i3,v 1.4 1995/06/23 07:49:30 sgp13 Exp $

   This module implements the tape reader/punch device. The T type is
   derived from CharDevice, with an override of the command method.

   Much of the code for the implementation is supplied by CharDevice to
   allow sharing with Teletype
   ----------------------------------------------------------------------

   $Log: Tape.i3,v $
# Revision 1.4  1995/06/23  07:49:30  sgp13
# Update forced
#
# Revision 1.3  1995/03/15  14:45:54  sgp13
# Update forced
#
# Revision 1.2  1995/03/14  12:18:32  sgp13
# Update forced.
#
# Revision 1.1  1995/03/07  23:08:44  sgp13
# Initial revision
#

   ---------------------------------------------------------------------- *)
INTERFACE Tape;

IMPORT Thread;
IMPORT CPU;
IMPORT Device, CharDevice;

TYPE
  T = CharDevice.T OBJECT
  OVERRIDES
    command := Command;
  END;

PROCEDURE Command(self : T; cpu : CPU.T; devselB : CPU.OpCode;
                  command : CPU.OpCode) RAISES { Device.CommandUnimplemented,
                                                 Thread.Alerted };
END Tape. 



