(* ----------------------------------------------------------------------
   $Id: Teletype.i3,v 1.4 1995/06/23 07:50:23 sgp13 Exp $

   This module implements the teletype device on the PDP8/e bus. It actually
   consists of two devices, a keyboard and a punch/teleprinter. They are
   implemented as connections to user selected files / streams, with the
   eventual intention that they will be implemented as the terminal keyboard
   and screen.

   The T type is a specialisation of the CharDevice type which consists of
   a generalised character-by-character reader and writer, plus some common
   code.
   ----------------------------------------------------------------------

   $Log: Teletype.i3,v $
# Revision 1.4  1995/06/23  07:50:23  sgp13
# Update forced
#
# Revision 1.3  1995/03/15  14:46:28  sgp13
# Update forced
#
# Revision 1.2  1995/03/14  12:19:09  sgp13
# Update forced.
#
# Revision 1.1  1995/03/07  23:09:02  sgp13
# Initial revision
#

   ---------------------------------------------------------------------- *)
INTERFACE Teletype;

IMPORT Thread;
IMPORT CPU;
IMPORT Device, CharDevice;

TYPE
  T = CharDevice.T OBJECT
  OVERRIDES
    command := Command;
  END;

PROCEDURE Command(self : T; cpu : CPU.T; devselB : CPU.OpCode;
                  command : CPU.OpCode) RAISES { Device.CommandUnimplemented,
                                                 Thread.Alerted };
END Teletype.
