(* ----------------------------------------------------------------------
   $Id: Buffer.i3,v 1.1 1995/06/19 13:48:12 sgp13 Exp $

   This is a buffer for characters. It is dynamically self-sizing. Reading
   a character may block until there is one available.

   Methods:

     init - allows specification of an initial size for the buffer
     get  - return a character from the buffer
     charsReady - returns number of characters ready
     put - add a character to the buffer

   ----------------------------------------------------------------------

   $Log: Buffer.i3,v $
# Revision 1.1  1995/06/19  13:48:12  sgp13
# Initial revision
#

   ---------------------------------------------------------------------- *)
INTERFACE Buffer;

IMPORT Thread;

TYPE
  PublicT = PrivateT OBJECT
  METHODS
    charsReady() : CARDINAL;
    get() : CHAR RAISES { Thread.Alerted } ;
    init(size : CARDINAL := 20) : T;
    put(c: CHAR);
  END;

  PrivateT <: ROOT;
  T <: PublicT;

END Buffer.
