(* ----------------------------------------------------------------------
   $Id: BufferRd.i3,v 1.1 1995/06/19 13:49:11 sgp13 Exp $

   This interface specifies the services to be supplied by a reader which
   is connected to a Buffer.T buffer.

   The buffer is expected to be able to be connected or disconnected.

   The object is a descendant of the CharRd type so that it may be specified
   as the 'reader' of a CharReader.
   ----------------------------------------------------------------------

   $Log: BufferRd.i3,v $
# Revision 1.1  1995/06/19  13:49:11  sgp13
# Initial revision
#

   ---------------------------------------------------------------------- *)
INTERFACE BufferRd;

IMPORT Buffer, CharRd;

TYPE
  T <: PublicT;

  PublicT = CharRd.T OBJECT
  METHODS
    connect(in : Buffer.T) RAISES { CharRd.AlreadyConnected };
    disconnect() : Buffer.T;
  END;

END BufferRd.
