(* ----------------------------------------------------------------------
   $Id: CharRd.i3,v 1.1 1995/06/19 13:50:02 sgp13 Exp $

   This interface provides a parent object for provision of services to
   the CharReader object. The CharRd object specifies a get() method.
   Descendants should specify connect and disconnect methods as appropriate
   to their internal structure.

   This is intended so that character services can either be supplied from
   a Unix file stream or from a buffer which is filled from a FormsVBT
   Typescript.
   ----------------------------------------------------------------------

   $Log: CharRd.i3,v $
# Revision 1.1  1995/06/19  13:50:02  sgp13
# Initial revision
#

   ---------------------------------------------------------------------- *)
INTERFACE CharRd;

IMPORT Thread;

EXCEPTION AlreadyConnected;
EXCEPTION NotConnected;

TYPE
  T = OBJECT
  METHODS
    get() : CHAR RAISES { NotConnected, Thread.Alerted };
  END;

END CharRd. 
