(* ----------------------------------------------------------------------
   $Id: StreamRd.i3,v 1.1 1995/06/19 13:50:22 sgp13 Exp $

   This interface specifies the services to be supplied by a reader which
   is connected to a non-intermittent Unix file stream (ie reading from
   a normal file)

   The stream is expeceted to be able to be connected or disconnected.

   The object is a descendant of the CharRd type so that it may be specified
   as the 'reader' of a CharReader.
   ----------------------------------------------------------------------

   $Log: StreamRd.i3,v $
# Revision 1.1  1995/06/19  13:50:22  sgp13
# Initial revision
#

   ---------------------------------------------------------------------- *)
INTERFACE StreamRd;

IMPORT Rd;
IMPORT CharRd;

TYPE
  T <: PublicT;

  PublicT = CharRd.T OBJECT
  METHODS
    connect(in : Rd.T) RAISES { CharRd.AlreadyConnected };
    disconnect() : Rd.T;
  END;

END StreamRd.
