(* ----------------------------------------------------------------------
   $Id: WhiteSpaceFilter.i3,v 1.1 1995/01/09 11:24:35 sgp13 Exp $

   This interface declares an object which filters all the white space
   characters out of its specified input. The 'get' method gets characters
   one at a time from the input. If more sophisticated performance is
   required this can be implemented in a subtype.

   NB If the source is the standard input, input is only read when a carriage
      return is sent. This should not be a problem in the anticipated
      application.
   ----------------------------------------------------------------------

   $Log: WhiteSpaceFilter.i3,v $
# Revision 1.1  1995/01/09  11:24:35  sgp13
# Initial revision
#

   ---------------------------------------------------------------------- *)
INTERFACE WhiteSpaceFilter;

IMPORT Thread, Rd;

TYPE
  T <: PublicT;
  PublicT = OBJECT METHODS
    init(stream : Rd.T) : T;
    get() : CHAR RAISES { Rd.EndOfFile, Rd.Failure, Thread.Alerted };
  END;

END WhiteSpaceFilter.
