(* ----------------------------------------------------------------------
   $Id: WhiteSpaceFilter.m3,v 1.1 1995/01/09 11:24:17 sgp13 Exp $

   Implementation of WhiteSpaceFilter.
   ----------------------------------------------------------------------

   $Log: WhiteSpaceFilter.m3,v $
# Revision 1.1  1995/01/09  11:24:17  sgp13
# Initial revision
#

   ---------------------------------------------------------------------- *)
MODULE WhiteSpaceFilter;

IMPORT Thread, Rd, ASCII;

REVEAL
  T = PublicT BRANDED OBJECT
    stream : Rd.T := NIL;
  OVERRIDES
    init := Init;
    get := Get;
  END;

(* ----------------------------------------------------------------------
   Procedure : Init

   Initialise by setting up the identity of the stream from which to read
   ---------------------------------------------------------------------- *)
PROCEDURE Init(self : T; stream : Rd.T) : T =
  BEGIN
    self.stream := stream;
    RETURN self;
  END Init;


(* ----------------------------------------------------------------------
   Procedure : Get

   Return the next non-white space character
   ---------------------------------------------------------------------- *)
PROCEDURE Get(self : T) : CHAR
    RAISES { Rd.EndOfFile, Rd.Failure, Thread.Alerted } =
  VAR
    ch : CHAR;
  BEGIN
    REPEAT
      ch := Rd.GetChar(self.stream);
    UNTIL NOT ch IN ASCII.Spaces;
    RETURN ch;
  END Get;


BEGIN
END WhiteSpaceFilter.

